Data Structures | Typedefs | Functions

# configure.h File Reference

`#include "wizard/hashmap.h"`

Go to the source code of this file.

## Data Structures
struct | _ConfigureInfo
## Typedefs
typedef struct _ConfigureInfo | ConfigureInfo
## Functions
WizardExport char ** | GetConfigureList (const char *, size_t *, ExceptionInfo *)
WizardExport const char * | GetConfigureValue (const ConfigureInfo *)
WizardExport const ConfigureInfo * | GetConfigureInfo (const char *, ExceptionInfo *)
WizardExport const ConfigureInfo *** | GetConfigureInfoList (const char *, size_t *, ExceptionInfo *)
WizardExport LinkedListInfo * | DestroyConfigureOptions (LinkedListInfo *)
WizardExport LinkedListInfo ** | GetConfigurePaths (const char *, ExceptionInfo *)
WizardExport LinkedListInfo *** | GetConfigureOptions (const char *, ExceptionInfo *)
WizardExport WizardBooleanType | ConfigureComponentGenesis (void)
WizardExport WizardBooleanType | ListConfigureInfo (FILE *, ExceptionInfo *)
WizardExport void | ConfigureComponentTerminus (void)

## Typedef Documentation

typedef struct _ConfigureInfo ConfigureInfo

## Function Documentation

WizardExport WizardBooleanType ConfigureComponentGenesis | ( | void |  | ) |

WizardExport void ConfigureComponentTerminus | ( | void |  | ) |

References AcquireSemaphoreInfo(), configure_list, configure_semaphore, DestroyConfigureElement(), DestroyLinkedList(), DestroySemaphoreInfo(), instantiate_configure, LockSemaphoreInfo(), and UnlockSemaphoreInfo().

WizardExport LinkedListInfo* DestroyConfigureOptions | ( | LinkedListInfo * |  | ) |

WizardExport const ConfigureInfo* GetConfigureInfo | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport const ConfigureInfo* ** GetConfigureInfoList | ( | const char * | ,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References AcquireQuantumMemory(), configure_list, configure_semaphore, ConfigureInfoCompare(), GetConfigureInfo(), GetNextValueInLinkedList(), GetNumberOfElementsInLinkedList(), GetWizardModule, GlobExpression(), LockSemaphoreInfo(), LogWizardEvent(), _ConfigureInfo::name, ResetLinkedListIterator(), _ConfigureInfo::stealth, TraceEvent, UnlockSemaphoreInfo(), and WizardFalse.

Referenced by ListConfigureInfo().

WizardExport char** GetConfigureList | ( | const char * | ,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References AcquireQuantumMemory(), configure_list, configure_semaphore, ConfigureCompare(), ConstantString(), GetConfigureInfo(), GetNextValueInLinkedList(), GetNumberOfElementsInLinkedList(), GetWizardModule, GlobExpression(), LockSemaphoreInfo(), LogWizardEvent(), _ConfigureInfo::name, ResetLinkedListIterator(), _ConfigureInfo::stealth, TraceEvent, UnlockSemaphoreInfo(), and WizardFalse.

WizardExport LinkedListInfo* * * GetConfigureOptions | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References AppendValueToLinkedList(), ConfigureEvent, ConfigureFileToStringInfo(), ConfigureWarning, CopyWizardString(), DestroyLinkedList(), FormatWizardString(), GetConfigurePaths(), GetNextValueInLinkedList(), GetNumberOfElementsInLinkedList(), GetWizardModule, LogWizardEvent(), MaxTextExtent, NewLinkedList(), NTResourceToBlob(), RelinquishWizardMemory(), ResetLinkedListIterator(), SetStringInfoPath(), StringToStringInfo(), ThrowWizardException(), and TraceEvent.

Referenced by LoadConfigureLists(), LoadLogLists(), and LoadMimeLists().

WizardExport LinkedListInfo* * GetConfigurePaths | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport const char* GetConfigureValue | ( | const ConfigureInfo * |  | ) |

References GetWizardModule, LogWizardEvent(), _ConfigureInfo::signature, TraceEvent, _ConfigureInfo::value, and WizardSignature.

WizardExport WizardBooleanType ListConfigureInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References GetConfigureInfoList(), _ConfigureInfo::path, RelinquishWizardMemory(), strcasecmp, WizardFalse, and WizardTrue.